Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 252863 - Inline refactoring
Inline refactoring
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
8.1
All All
: P3 (vote)
: 8.1
Assigned To: danilasergeyev
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-08 08:15 UTC by danilasergeyev
Modified: 2015-06-26 04:51 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description danilasergeyev 2015-06-08 08:15:30 UTC
It will be helpful to have an inline refactoring functionality, which will allows user to do replacement of macros with actual values or function calls with corresponding function bodies, etc.
Comment 2 Quality Engineering 2015-06-09 02:56:55 UTC
Integrated into 'main-silver', will be available in build *201506090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/bc3178e76d79
User: Danila Sergeyev <danilasergeyev@netbeans.org>
Log: fix bug #252863 Inline refactoring: extra fix
Comment 3 danilasergeyev 2015-06-11 14:18:54 UTC
additional fix: hint, change set:
http://hg.netbeans.org/cnd-main/rev/ff2bad4958fd
Comment 4 Quality Engineering 2015-06-12 20:35:35 UTC
Integrated into 'main-silver', will be available in build *201506121907* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ff2bad4958fd
User: Danila Sergeyev <danilasergeyev@netbeans.org>
Log: fix bug #252863 Inline refactoring, additional fix: hint
Comment 5 Quality Engineering 2015-06-26 04:51:39 UTC
Integrated into 'main-silver', will be available in build *201506260309* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/e6f5802e19d0
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: extra fix for #252863 Inline refactoring, additional fix: hint
- reformat after inlining


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo